## binutils 2.43

=== debian/changelog ===
binutils (2.43-2revyos1) unstable; urgency=medium

  * Apply XuanTie patchset

 -- Han Gao <gaohan@iscas.ac.cn>  Thu, 08 Aug 2024 21:19:29 +0800

binutils (2.43-2) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
    - LoongArch: Fix DT_RELR and relaxation interaction.
  * Stop building packages for kfreebsd.
  * Stop providing i586/i486 symlinks for backports.
  * ld.bfd, ld.gold: When no package-metadata option is given, fall-back
    to the envvar ELF_PACKAGE_METADATA.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Aug 2024 07:16:35 +0200

binutils (2.43-1) unstable; urgency=medium

  * New upstream release.
  * New upstream snapshot, taken from the 2.43 branch.
    - Fix PR ld/31956, LTO: Restore the wrapper symbol check for
      standard function.
  * Refresh patches.
  * Build-depend on pkgconf instead of pkg-config.
  * Configure with --enable-default-hash-style=gnu.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Aug 2024 06:54:19 +0200

binutils (2.42.90.20240720-2) unstable; urgency=medium

  * Package gprofng on riscv64.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jul 2024 06:58:53 +0200

binutils (2.42.90.20240720-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
  * Set ELF_PACKAGE_METADATA in the environment.
  * Update symbols files. Closes: #1064181.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Jul 2024 15:35:10 +0200

binutils (2.42.50.20240710-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 12:55:51 +0200

binutils (2.42.50.20240625-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Jun 2024 14:12:07 +0200

binutils (2.42.50.20240618-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update the libctf-soname patch for the trunk.
  * Refresh patches.
  * Build with -fno-omit-frame-pointer if it's enabled in dpkg-buildflags.
  * Allow to disable tests using LOCAL_BUILD_OPTIONS.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Jun 2024 14:38:10 +0200

binutils (2.42-5) unstable; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 18:55:30 +0100
