## binutils 2.43.1

=== debian/changelog ===
binutils (2.43.1-5) unstable; urgency=medium

  * Make the jdk configury dependent on the pkg.binutils.nojava profile.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Sep 2024 10:36:17 +0200

binutils (2.43.1-4) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
    - Fix PR32109, aborting at bfd/bfd.c:1236 in int _bfd_doprnt.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Sep 2024 10:37:43 +0200

binutils (2.43.1-3) unstable; urgency=medium

  * Don't configure --enable-default-hash-style=gnu on mips targets
    for now. See: #1078819.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Aug 2024 17:32:28 +0200

binutils (2.43.1-2) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.43 branch.
    - ld: Add an LTO test for common symbol override.
    - lto: Add a test for PR ld/32083.
  * Update VCS attributes.
  * Add default-jdk-headless to autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 16:34:57 +0200

binutils (2.43.1-1) unstable; urgency=medium

  * New upstream release.
    - LTO: Restore the wrapper symbol check for standard function.
    - RISC-V: Add support for Zimop extension.
    - RISC-V: Add support for Zcmop extension.
    - gas: sparc: Fix faligndatai assembly and disassembly.
    - PR32067, ld -Wl,--oformat,binary crash in _bfd_elf_link_keep_memory.
    - ld: Add PR ld/32067 tests.
    - x86: correct .insn with opcode extension and VEX/XOP/EVEX encoding.
    - gas: correct .irpc handling with empty string.
    - lto: Don't include unused LTO archive members in output.
    - gprofng: fix typo in src/collctrl.cc.
  * gprofng: Build with jdk support.
  * Move static gprofng library into the binutils-dev package.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Aug 2024 13:35:14 +0200
