=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
   libjansson-dev, pkgconf, libzstd-dev,
+  default-jdk-headless [amd64 arm64 i386 riscv64 x32] <!pkg.binutils.nojava>,
   g++-aarch64-linux-gnu [amd64 i386 ppc64el s390x x32] <!nocheck>,
   g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
   g++-arm-linux-gnueabihf [amd64 arm64 i386 ppc64el s390x x32] <!nocheck>,
@@ -27,8 +28,8 @@
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
-Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.43
+Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git -b binutils-2.43
 XS-Testsuite: autopkgtest
 
 Package: binutils-for-host
@@ -174,9 +175,10 @@
 Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version}),
   libctf0 (= ${binary:Version}), libctf-nobfd0 (= ${binary:Version}),
   libsframe1 (= ${binary:Version}),
-Conflicts: libbfd-dev
+  libgprofng0 (= ${binary:Version}) [amd64 arm64 i386 riscv64 x32],
+Conflicts: libbfd-dev, binutils (<< 2.43.1)
 Provides: libbfd-dev
-Replaces: libbfd-dev, libc5-dev
+Replaces: libbfd-dev, libc5-dev, binutils (<< 2.43.1)
 Description: GNU binary utilities (BFD development files)
  This package includes header files and static libraries necessary to build
  programs which use the GNU BFD library, which is part of binutils.  Note
@@ -280,7 +282,3 @@
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
-Suggests: binutils-doc (= ${source:Version})
-Provides: 
-Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
