## binutils 2.43.50.20241204

=== debian/changelog ===
binutils (2.43.50.20241204-2) unstable; urgency=medium

  * Unset ELF_PACKAGE_METADATA when running the tests.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 14:17:25 +0100

binutils (2.43.50.20241204-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Disable the pgo build on armel and armhf for now.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 10:13:16 +0100

binutils (2.43.50.20241126-3) unstable; urgency=medium

  * Don't install gprofng examples in multilib and cross packages.
    Closes: #1088319.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Nov 2024 10:18:02 +0100

binutils (2.43.50.20241126-2) unstable; urgency=medium

  * Work-around PR gprofng/32392.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2024 16:40:54 +0100

binutils (2.43.50.20241126-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure again with --enable-default-hash-style=gnu on mips targets.
    Closes: #1078819.
  * Stop building gold on mips targets.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2024 13:52:50 +0100

binutils (2.43.50.20241112-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build packages for sparc-linux-gnu (Adrian Glaubitz). Closes: #1086027.
  * Stop building packages for ia64-linux-gnu. Closes: #1086023.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 17:37:05 +0100

binutils (2.43.50.20241004-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Make the jdk configury dependent on the pkg.binutils.nojava profile.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Oct 2024 08:32:52 +0200

binutils (2.43.50.20240909-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2024 14:30:23 +0200

binutils (2.43.50.20240822-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Add default-jdk-headless to autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 17:21:00 +0200

binutils (2.43.50.20240817-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Aug 2024 10:50:59 +0200
