=== debian/control ===
--- 
+++ 
@@ -9,27 +9,27 @@
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
   libjansson-dev, pkgconf, libzstd-dev,
   default-jdk-headless [amd64 arm64 i386 riscv64 x32] <!pkg.binutils.nojava>,
-  g++-aarch64-linux-gnu [amd64 i386 ppc64el s390x x32] <!nocheck>,
-  g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
-  g++-arm-linux-gnueabihf [amd64 arm64 i386 ppc64el s390x x32] <!nocheck>,
-  g++-powerpc64le-linux-gnu [amd64 arm64 i386 ppc64 s390x x32] <!nocheck>,
-  g++-s390x-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
-  g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-powerpc-linux-gnu [amd64 i386 ppc64el s390x x32] <!nocheck>,
-  g++-powerpc64-linux-gnu [amd64 i386 s390x x32] <!nocheck>,
-  g++-riscv64-linux-gnu [amd64 arm64 i386 ppc64el s390x x32] <!nocheck>,
-  g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-i686-linux-gnu [amd64 arm64 ppc64el s390x x32] <!nocheck>,
-  g++-x86-64-linux-gnu [arm64 i386 ppc64el s390x] <!nocheck>,
-  g++-x86-64-linux-gnux32 [amd64 arm64 i386 ppc64el] <!nocheck>,
+#  g++-aarch64-linux-gnu [amd64 i386 ppc64el s390x x32] <!nocheck>,
+#  g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
+#  g++-arm-linux-gnueabihf [amd64 arm64 i386 ppc64el s390x x32] <!nocheck>,
+#  g++-powerpc64le-linux-gnu [amd64 arm64 i386 ppc64 s390x x32] <!nocheck>,
+#  g++-s390x-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
+#  g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
+#  g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
+#  g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
+#  g++-powerpc-linux-gnu [amd64 i386 ppc64el s390x x32] <!nocheck>,
+#  g++-powerpc64-linux-gnu [amd64 i386 s390x x32] <!nocheck>,
+#  g++-riscv64-linux-gnu [amd64 arm64 i386 ppc64el s390x x32] <!nocheck>,
+#  g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
+#  g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
+#  g++-i686-linux-gnu [amd64 arm64 ppc64el s390x x32] <!nocheck>,
+#  g++-x86-64-linux-gnu [arm64 i386 ppc64el s390x] <!nocheck>,
+#  g++-x86-64-linux-gnux32 [amd64 arm64 i386 ppc64el] <!nocheck>,
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.43
-Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git -b binutils-2.43
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
+Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
 
 Package: binutils-for-host
@@ -176,9 +176,9 @@
   libctf0 (= ${binary:Version}), libctf-nobfd0 (= ${binary:Version}),
   libsframe1 (= ${binary:Version}),
   libgprofng0 (= ${binary:Version}) [amd64 arm64 i386 riscv64 x32],
-Conflicts: libbfd-dev, binutils (<< 2.43.1)
+Conflicts: libbfd-dev, binutils (<< 2.43.50.20240819)
 Provides: libbfd-dev
-Replaces: libbfd-dev, libc5-dev, binutils (<< 2.43.1)
+Replaces: libbfd-dev, libc5-dev, binutils (<< 2.43.50.20240819)
 Description: GNU binary utilities (BFD development files)
  This package includes header files and static libraries necessary to build
  programs which use the GNU BFD library, which is part of binutils.  Note
