=== debian/rules ===
--- 
+++ 
@@ -103,8 +103,8 @@
 install_binary = install -m 755 -s --strip-program="$(STRIP)"
 
 NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel ppc64el s390x
-NATIVE_ARCHS += alpha arc hppa ia64 loong64 m68k powerpc ppc64 \
-	riscv64 sh4 sparc64 x32
+NATIVE_ARCHS += alpha arc hppa loong64 m68k powerpc ppc64 \
+	riscv64 sh4 sparc sparc64 x32
 NATIVE_ARCHS += hurd-amd64 hurd-i386
 #NATIVE_ARCHS += nios2 or1k s390 sparc
 
@@ -125,17 +125,17 @@
     CROSS_ARCHS ?= amd64 i386 x32 \
                    s390x ppc64el arm64 armhf armel \
                    alpha arc hppa loong64 m68k \
-                   powerpc ppc64 sh4 sparc64 \
-                   ia64 riscv64 \
+                   powerpc ppc64 sh4 sparc sparc64 \
+                   riscv64 \
                    hurd-amd64 hurd-i386
   else ifeq ($(DEB_HOST_ARCH),arm64)
     CROSS_ARCHS ?= amd64 armel armhf i386 powerpc ppc64el riscv64 s390x \
-		   alpha arc hppa loong64 m68k sh4 sparc64 x32
+		   alpha arc hppa loong64 m68k sh4 sparc sparc64 x32
   else ifeq ($(DEB_HOST_ARCH),ppc64)
     CROSS_ARCHS ?= ppc64el
   else ifeq ($(DEB_HOST_ARCH),ppc64el)
     CROSS_ARCHS ?= powerpc ppc64 amd64 armel armhf arm64 i386 riscv64 s390x \
-		   alpha arc hppa loong64 m68k sh4 sparc64 x32
+		   alpha arc hppa loong64 m68k sh4 sparc sparc64 x32
   else ifeq ($(DEB_HOST_ARCH),s390x)
     CROSS_ARCHS ?= amd64 armhf arm64 i386 riscv64 powerpc ppc64 ppc64el
   endif
@@ -181,7 +181,6 @@
 HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_amd64 = arm64 i386 ppc64el x32 s390x
 HOST_ARCHS_i386 = amd64 arm64 ppc64el x32 s390x
-HOST_ARCHS_ia64 = amd64 i386 x32
 HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el s390x
 
 HOST_ARCHS_alpha = amd64 i386 x32 arm64 ppc64el
@@ -191,6 +190,7 @@
 HOST_ARCHS_m68k = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el s390x
 HOST_ARCHS_sh4 = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_sparc = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_sparc64 = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
 
@@ -241,6 +241,3 @@
 
 ifneq (,$(TARGET))
   APPEND_TOOLLIBDIR=yes
-  export APPEND_TOOLLIBDIR
-endif
-
