## binutils 2.43.50.20241221

=== debian/changelog ===
binutils (2.43.50.20241221-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Revert the changes for "bfd/ELF: restrict file alignment for object files".
      See PR gas/32535.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2024 10:31:14 +0100

binutils (2.43.50.20241221-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Drop the unused infinity-notes patch.
  * gold: Support percent-encoded JSON in --package-metadata (proposed patch).
  * Update libgprofng0 symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Dec 2024 09:58:51 +0100

binutils (2.43.50.20241215-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2024 11:08:46 +0100

binutils (2.43.50.20241215-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Increase armhf section alignment to 64k (Ard Biesheuvel). Closes: #1089822.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Dec 2024 11:00:07 +0100

binutils (2.43.50.20241210-1ubuntu2) plucky; urgency=medium

  * Revert the changes for "bfd/ELF: restrict file alignment for object files".
    See PR gas/32535.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Dec 2024 11:47:27 +0100

binutils (2.43.50.20241210-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Dec 2024 10:06:46 +0100

binutils (2.43.50.20241210-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2024 09:55:31 +0100

binutils (2.43.50.20241204-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Dec 2024 14:21:49 +0100

binutils (2.43.50.20241126-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Nov 2024 10:22:53 +0100

binutils (2.43.1-4ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 11:12:26 +0200

binutils (2.43.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2024 17:40:03 +0200

binutils (2.43-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2024 07:20:52 +0200

binutils (2.43-1ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Aug 2024 07:05:40 +0200

binutils (2.42.90.20240720-2ubuntu1) oracular; urgency=medium

  * New upstream snapshot, taken from the 2.43 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Jul 2024 07:08:32 +0200

binutils (2.42.50.20240710-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2024 13:01:44 +0200

binutils (2.42.50.20240625-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jun 2024 14:15:24 +0200

binutils (2.42.50.20240618-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Jun 2024 15:03:15 +0200
