## binutils 2.43.50.20241230

=== debian/changelog ===
binutils (2.43.50.20241230-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Revert the fix for PR gas/32391. Closes: #1090999, #1091488.
  * Build with GCC 14.2.0-12 on ARM32. Closes: #1091281.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Dec 2024 12:18:11 +0100
