=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: James Troup <binutils@elmo.tasta.io>
 Standards-Version: 4.7.0
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
+  g++-14 (>= 14.2.0-12) [armel armhf],
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
   libjansson-dev, pkgconf, libzstd-dev,
@@ -281,4 +282,3 @@
 Architecture: amd64 arm64 i386 ppc64el x32 s390x
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
-  ${shlibs:Depends}, ${extraDepends}
