## binutils 2.43.50.20250108

=== debian/changelog ===
binutils (2.43.50.20250108-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Revert the changes for "bfd/ELF: restrict file alignment for object files".
      See PR gas/32535.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2025 00:55:36 +0100

binutils (2.43.50.20250108-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Avoid warning in env-package-metadata.diff patch (Nicolas Boulenguez).
    Closes: #1090761.
  * binutils-doc: Make package reproducible. Closes: #1090395.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jan 2025 00:34:21 +0100

binutils (2.43.50.20241230-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Revert the changes for "bfd/ELF: restrict file alignment for object files".
      See PR gas/32535.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2024 13:12:31 +0100
